SuperLU: SRC/dpanel_dfs.c File Reference

# SRC/dpanel_dfs.c File Reference

Peforms a symbolic factorization on a panel of symbols. More...

`#include "slu_ddefs.h"`

## Functions
void | dpanel_dfs (const int m, const int w, const int jcol, SuperMatrix *A, int *perm_r, int *nseg, double *dense, int *panel_lsub, int *segrep, int *repfnz, int *xprune, int *marker, int *parent, int *xplore, GlobalLU_t *Glu)

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

     Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

     THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
     EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

     Permission is hereby granted to use or copy this program for any
     purpose, provided the above notices are retained on all copies.
     Permission to modify the code and to distribute modified code is
     granted, provided the above notices are retained, and a notice that
     the code was modified is included with the above copyright notice.

## Function Documentation

void dpanel_dfs | ( | const int | m,
|  | const int | w,
|  | const int | jcol,
|  | SuperMatrix * | A,
|  | int * | perm_r,
|  | int * | nseg,
|  | double * | dense,
|  | int * | panel_lsub,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | xprune,
|  | int * | marker,
|  | int * | parent,
|  | int * | xplore,
|  | GlobalLU_t * | Glu |
| ) |  |  |

     Purpose
     =======

       Performs a symbolic factorization on a panel of columns [jcol, jcol+w).

       A supernode representative is the last column of a supernode.
       The nonzeros in U[*,j] are segments that end at supernodal
       representatives.

       The routine returns one list of the supernodal representatives
       in topological order of the dfs that generates them. This list is
       a superset of the topological order of each individual column within
       the panel.
       The location of the first nonzero in each supernodal segment
       (supernodal entry location) is also returned. Each column has a
       separate list for this purpose.

       Two marker arrays are used for dfs:
         marker[i] == jj, if i was visited during dfs of current column jj;
         marker1[i] >= jcol, if i was visited by earlier columns in this panel;

       marker: A-row --> A-row/col (0/1)
       repfnz: SuperA-col --> PA-row
       parent: SuperA-col --> SuperA-col
       xplore: SuperA-col --> index to L-structure